org.keycloak.services.resources

## Class LoginActionsService

- java.lang.Object
- - org.keycloak.services.resources.LoginActionsService

-     public class LoginActionsService
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_COOKIE`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected javax.ws.rs.ext.Providers` | `providers`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginActionsService(RealmModel realm, AuthenticationManager authManager, EventBuilder event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createActionCookie(RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, ClientConnection clientConnection, String sessionId)`
    `javax.ws.rs.core.Response` | `emailVerification(String code, String key)`
    `static javax.ws.rs.core.UriBuilder` | `loginActionsBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `loginActionsBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `javax.ws.rs.core.Response` | `loginPage(String code)` protocol independent login page entry point
    `javax.ws.rs.core.Response` | `passwordReset(String code, String key)`
    `javax.ws.rs.core.Response` | `processConsent(javax.ws.rs.core.MultivaluedMap<String,String> formData)` OAuth grant page.
    `javax.ws.rs.core.Response` | `processLogin(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)` URL called after login page.
    `static javax.ws.rs.core.UriBuilder` | `processLoginUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `processLoginUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.UriBuilder` | `processOAuthUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `static javax.ws.rs.core.UriBuilder` | `processOAuthUrl(javax.ws.rs.core.UriInfo uriInfo)`
    `javax.ws.rs.core.Response` | `processRegister(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)` Registration
    `javax.ws.rs.core.Response` | `registerPage(String code)` protocol independent registration page entry point
    `javax.ws.rs.core.Response` | `sendPasswordReset(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updatePassword(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updateProfile(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updateTotp(String code, javax.ws.rs.core.MultivaluedMap<String,String> formData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### ACTION_COOKIE

          public static final String ACTION_COOKIE

      See Also:
        Constant Field Values

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

    - #### session

          @Context
          protected KeycloakSession session

  - ### Constructor Detail

    - #### LoginActionsService

          public LoginActionsService(RealmModel realm,
                             AuthenticationManager authManager,
                             EventBuilder event)

  - ### Method Detail

    - #### loginActionsBaseUrl

          public static javax.ws.rs.core.UriBuilder loginActionsBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### loginActionsBaseUrl

          public static javax.ws.rs.core.UriBuilder loginActionsBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### processLoginUrl

          public static javax.ws.rs.core.UriBuilder processLoginUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### processLoginUrl

          public static javax.ws.rs.core.UriBuilder processLoginUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### processOAuthUrl

          public static javax.ws.rs.core.UriBuilder processOAuthUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### processOAuthUrl

          public static javax.ws.rs.core.UriBuilder processOAuthUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### loginPage

          @Path(value="login")
          @GET
          public javax.ws.rs.core.Response loginPage(@QueryParam(value="code")
                                                     String code)

      protocol independent login page entry point
      Parameters:
        `code` -
      Returns:

    - #### registerPage

          @Path(value="registration")
          @GET
          public javax.ws.rs.core.Response registerPage(@QueryParam(value="code")
                                                        String code)

      protocol independent registration page entry point
      Parameters:
        `code` -
      Returns:

    - #### processLogin

          @Path(value="request/login")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response processLogin(@QueryParam(value="code")
                                                                  String code,
                                                                  javax.ws.rs.core.MultivaluedMap<String,String> formData)

      URL called after login page. YOU SHOULD NEVER INVOKE THIS DIRECTLY!
      Parameters:
        `code` -
        `formData` -
      Returns:

    - #### processRegister

          @Path(value="request/registration")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response processRegister(@QueryParam(value="code")
                                                                     String code,
                                                                     javax.ws.rs.core.MultivaluedMap<String,String> formData)

      Registration
      Parameters:
        `code` -
        `formData` -
      Returns:

    - #### processConsent

          @Path(value="consent")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response processConsent(javax.ws.rs.core.MultivaluedMap<String,String> formData)

      OAuth grant page. You should not invoked this directly!
      Parameters:
        `formData` -
      Returns:

    - #### updateProfile

          @Path(value="profile")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updateProfile(@QueryParam(value="code")
                                                                   String code,
                                                                   javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### updateTotp

          @Path(value="totp")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updateTotp(@QueryParam(value="code")
                                                                String code,
                                                                javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### updatePassword

          @Path(value="password")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updatePassword(@QueryParam(value="code")
                                                                    String code,
                                                                    javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### emailVerification

          @Path(value="email-verification")
          @GET
          public javax.ws.rs.core.Response emailVerification(@QueryParam(value="code")
                                                             String code,
                                                             @QueryParam(value="key")
                                                             String key)

    - #### passwordReset

          @Path(value="password-reset")
          @GET
          public javax.ws.rs.core.Response passwordReset(@QueryParam(value="code")
                                                         String code,
                                                         @QueryParam(value="key")
                                                         String key)

    - #### sendPasswordReset

          @Path(value="password-reset")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response sendPasswordReset(@QueryParam(value="code")
                                                                       String code,
                                                                       javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### createActionCookie

          public static void createActionCookie(RealmModel realm,
                                javax.ws.rs.core.UriInfo uriInfo,
                                ClientConnection clientConnection,
                                String sessionId)

Copyright © 2015. All rights reserved.